import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

ideals = [
    "Aspiration. I seek to prove my self worthy of my god's favor by matching my actions against his or her teachings. (Any)",
    "Aspiration. I work hard to be the best there is at my craft. (Any)",
    "Aspiration. I'm determined to make something of myself. (Any)",
    "Aspiration. I'm going to prove that I'm worthy of a better life. (Any)",
    "Aspiration. Someday I'll own my own ship and chart my own destiny. (Any)",
    "Beauty. What is beautiful points us beyond itself toward what is true. (Good)",
    "Beauty. When I perform, I make the world better than it was. (Good)",
    "Change. Life is like the seasons, in constant change, and we must change with it. (Chaotic)",
    "Change. The low are lifted up, and the high and mighty are brought down. Change is the nature of things. (Chaotic)",
    "Change. We must help bring about the changes the gods are constantly working in the world. (Chaotic)",
    "Charity. I always try to help those in need, no matter what the personal cost. (Good)",
    "Charity. I distribute money I acquire to the people who really need it. (Good)",
    "Charity. I steal from the wealthy so that I can help people in need. (Good)",
    "Community. It is the duty of all civilized people to strengthen the bonds of community and the security of civilization. (Lawful)",
    "Community. We have to take care of each other, because no one else is going to do it. (Lawful)",
    "Creativity. I never run the same con twice. (Chaotic)",
    "Creativity. The world is in need of new ideas and bold action. (Chaotic)",
    "Destiny. Nothing and no one can steer me away from my higher calling. (Any)",
    "Fairness. I never target people who can't afford to lose a few coins. (Lawful)",
    "Fairness. No one should get preferential treatment before the law, and no one is above the law. (Lawful)",
    "Fairness. We all do the work, so we all share in the rewards. (Lawful)",
    "Faith. I trust that my deity will guide my actions. I have faith that if I work hard, things will go well. (Lawful)",
    "Family. Blood runs thicker than water. (Any)",
    "Free Thinking. Inquiry and curiosity are the pillars of progress. (Chaotic)",
    "Freedom. Chains are meant to be broken, as are those who would forge them. (Chaotic)",
    "Freedom. Everyone should be free to pursue his or her livelihood. (Chaotic)",
    "Freedom. The sea is freedom--the freedom to go anywhere and do anything. (Chaotic)",
    "Freedom. Tyrants must not be allowed to oppress the people. (Chaotic)",
    "Friendship. Material goods come and go. Bonds of friendship last forever. (Good)",
    "Generosity. My talents were given to me so that I could use them to benefit the world. (Good)",
    "Glory. I must earn glory in battle, for myself and my clan. (Any)",
    "Greater Good. It is each person's responsibility to make the most happiness for the whole tribe. (Good)",
    "Greater Good. My gifts are meant to be shared with all, not used for my own benefit. (Good)",
    "Greater Good. Our lot is to lay down our lives in defense of others. (Good)",
    "Greed. I will do whatever it takes to become wealthy. (Evil)",
    "Greed. I'm only in it for the money and fame. (Evil)",
    "Greed. I'm only in it for the money. (Evil)",
    "Honesty. Art should reflect the soul; it should come from within and reveal who we really are. (Any)",
    "Honor. I don't steal from others in the trade. (Lawful)",
    "Honor. If I dishonor myself, I dishonor my whole clan. (Lawful)",
    "Ideals aren't worth killing for or going to war for. (Neutral)",
    "Independence. I am a free spirit--no one tells me what to do. (Chaotic)",
    "Independence. I must prove that I can handle myself without the coddling of my family. (Chaotic)",
    "Independence. When people follow orders blindly they embrace a kind of tyranny. (Chaotic)",
    "Knowledge. The path to power and self-improvement is through knowledge. (Neutral)",
    "Live and Let Live. Meddling in the affairs of others only causes trouble. (Neutral)",
    "Logic. Emotions must not cloud our logical thinking. (Lawful)",
    "Logic. Emotions must not cloud our sense of what is right and true, or our logical thinking. (Lawful)",
    "Master. I'm a predator, and the other ships on the sea are my prey. (Evil)",
    "Might. If I become strong, I can take what I want--what I deserve. (Evil)",
    "Might. In life as in war, the stronger force wins. (Evil)",
    "Might. The strongest are meant to rule. (Evil)",
    "Nation. My city, nation, or people are all that matter. (Any)",
    "Nature. The natural world is more important than all the constructs of civilization. (Neutral)",
    "No Limits. Nothing should fetter the infinite possibility inherent in all existence. (Chaotic)",
    "Noble Obligation. It is my duty to protect and care for the people beneath me. (Good)",
    "People. I help people who help me--that's what keeps us alive. (Neutral)",
    "People. I like seeing the smiles on people's faces when I perform. That's all that matters. (Neutral)",
    "People. I'm committed to my crewmates, not to ideals. (Neutral)",
    "People. I'm committed to the people I care about, not to ideals. (Neutral)",
    "People. I'm loyal to my friends, not to any ideals, and everyone else can take a trip down the Styx for all I care. (Neutral)",
    "Power. I hope to one day rise to the top of my faith's religious hierarchy. (Lawful)",
    "Power. If I can attain more power, no one will tell me what to do. (Evil)",
    "Power. Knowledge is the path to power and domination. (Evil)",
    "Power. Solitude and contemplation are paths toward mystical or magical power. (Evil)",
    "Redemption. There's a spark of good in everyone. (Good)",
    "Respect. All people, rich or poor, deserve respect. (Good)",
    "Respect. People deserve to be treated with dignity and respect. (Good)",
    "Respect. Respect is due to me because of my position, but all people regardless of station deserve to be treated with dignity. (Good)",
    "Respect. The thing that keeps a ship together is mutual respect between captain and crew. (Good)",
    "Responsibility. I do what I must and obey just authority. (Lawful)",
    "Responsibility. It is my duty to respect the authority of those above me, just as those below me must respect mine. (Lawful)",
    "Retribution. The rich need to be shown what life and death are like in the gutters. (Evil)",
    "Self-Knowledge. If you know yourself, there're nothing left to know. (Any)",
    "Self-improvement. The goal of a life of study is the betterment of oneself.",
    "Sincerity. There's no good pretending to be something I'm not. (Neutral)",
    "Tradition. The ancient traditions of worship and sacrifice must be preserved and upheld. (Lawful)",
    "Tradition. The stories, legends, and songs of the past must never be forgotten. (Lawful)"
]

for ideal in ideals:
    cur.execute("INSERT INTO npc_personality_ideal (ideal) VALUES (?);", (ideal,))
    npc_db.commit()